TencentNavKit

Properties | List of all members
TNKDriveNavigationData Class Reference

导航面板数据类.包含路名，距离，时间等数据. More...

`#import <TNKDriveNavigationData.h>`

Inheritance diagram for TNKDriveNavigationData:

## Properties
NSString * | nextRoadName
| 下一段路名 More...
NSString * | currentRoadName
| 当前路名 More...
NSString * | exitName
| 高速出口名称 More...
NSString * | entranceName
| 高速入口名称 More...
int | nextDistanceLeft
| 到下一个转向点的距离 单位:米 More...
int | totalDistanceLeft
| 剩余总距离 单位:米 More...
int | totalTimeLeft
| 剩余总时间 单位:分钟 More...
NSArray< TNKNavToWayPointInfo * > * | waypoints
| 剩余途径点信息 More...
int | limitSpeed
| 限速值，单位: 公里／小时 More...
BOOL | isOverSpeed
| UI是否需要做超速警告. since. 5.3.5. More...
int | currentSpeed
| 当前速度值，单位: 公里／小时 数值为负时当前速度值无效 More...
UIImage * | intersectionImage
| 当前路口转向箭头图片 More...
int | intersectionType
| 当前路口转向类型. since 5.4.1 More...
UIImage * | nextIntersectionImage
| 下一个路口箭头图片，当两个转弯动作很近时值不为空 More...
NSString * | nextNextRoadName
| 下下一个道路名，当两个转弯动作很近时值不为空 More...
TNKSpeedMonitorStatus * | speedMonitorStatus
| 区间测速更新状态 since 5.2.5 More...
TNKElectronicEyeInfo * | electronicEyeInfo
| 摄像头信息 More...
int | remainTrafficLightCount
| 实时剩余红绿灯个数 More...
TNKHighwayFacilityInfo * | highwayFacilityInfo
| 前方高速休息区/收费站信息。为nil时表示没有 More...
BOOL | isShowingTipsMap
| 当前是否有Tips放大图。 More...
NSString * | tipsText
| Tips放大图信息， 用于放大图顶部进度条的绘制。 More...
int | tipsRemainingDistance
| Tips放大图剩余距离，单位：米， 用于放大图顶部进度条的绘制。 More...
int | passedTime
| 本次导航已行驶时间，单位：秒 More...
int | overSpeedType
| 超速类型，0：无数据 1：不超速 2：超速提醒 3：严重超速 More...
int | passedDistance
| 本次导航已行驶里程，单位：米 More...
TNKNavRestrictionInfo * | navRestrictionInfo
| 前方违反交规的信息 More...

## Detailed Description

导航面板数据类.包含路名，距离，时间等数据.

## Property Documentation

## ◆ currentRoadName

- (NSString*) currentRoadName
| readnonatomicassign

当前路名

## ◆ currentSpeed

- (int) currentSpeed
| readnonatomicassign

当前速度值，单位: 公里／小时 数值为负时当前速度值无效

## ◆ electronicEyeInfo

- (TNKElectronicEyeInfo*) electronicEyeInfo
| readnonatomicassign

摄像头信息

## ◆ entranceName

- (NSString*) entranceName
| readnonatomicassign

高速入口名称

Since
  5.4.3

## ◆ exitName

- (NSString*) exitName
| readnonatomicassign

高速出口名称

## ◆ highwayFacilityInfo

- (TNKHighwayFacilityInfo*) highwayFacilityInfo
| readnonatomicassign

前方高速休息区/收费站信息。为nil时表示没有

Since
  6.0.0

## ◆ intersectionImage

- (UIImage*) intersectionImage
| readnonatomicassign

当前路口转向箭头图片

## ◆ intersectionType

- (int) intersectionType
| readnonatomicassign

当前路口转向类型. since 5.4.1

## ◆ isOverSpeed

- (BOOL) isOverSpeed
| readnonatomicassign

UI是否需要做超速警告. since. 5.3.5.

## ◆ isShowingTipsMap

- (BOOL) isShowingTipsMap
| readnonatomicassign

当前是否有Tips放大图。

Since
  5.3.7

## ◆ limitSpeed

- (int) limitSpeed
| readnonatomicassign

限速值，单位: 公里／小时

## ◆ navRestrictionInfo

- (TNKNavRestrictionInfo*) navRestrictionInfo
| readnonatomicassign

前方违反交规的信息

## ◆ nextDistanceLeft

- (int) nextDistanceLeft
| readnonatomicassign

到下一个转向点的距离 单位:米

## ◆ nextIntersectionImage

- (UIImage*) nextIntersectionImage
| readnonatomicassign

下一个路口箭头图片，当两个转弯动作很近时值不为空

## ◆ nextNextRoadName

- (NSString*) nextNextRoadName
| readnonatomicassign

下下一个道路名，当两个转弯动作很近时值不为空

## ◆ nextRoadName

- (NSString*) nextRoadName
| readnonatomicassign

下一段路名

## ◆ overSpeedType

- (int) overSpeedType
| readnonatomicassign

超速类型，0：无数据 1：不超速 2：超速提醒 3：严重超速

## ◆ passedDistance

- (int) passedDistance
| readnonatomicassign

本次导航已行驶里程，单位：米

## ◆ passedTime

- (int) passedTime
| readnonatomicassign

本次导航已行驶时间，单位：秒

## ◆ remainTrafficLightCount

- (int) remainTrafficLightCount
| readnonatomicassign

实时剩余红绿灯个数

Since
  5.2.8

## ◆ speedMonitorStatus

- (TNKSpeedMonitorStatus*) speedMonitorStatus
| readnonatomicassign

区间测速更新状态 since 5.2.5

## ◆ tipsRemainingDistance

- (int) tipsRemainingDistance
| readnonatomicassign

Tips放大图剩余距离，单位：米， 用于放大图顶部进度条的绘制。

Since
  5.3.7

## ◆ tipsText

- (NSString*) tipsText
| readnonatomicassign

Tips放大图信息， 用于放大图顶部进度条的绘制。

Since
  5.3.7

## ◆ totalDistanceLeft

- (int) totalDistanceLeft
| readnonatomicassign

剩余总距离 单位:米

## ◆ totalTimeLeft

- (int) totalTimeLeft
| readnonatomicassign

剩余总时间 单位:分钟

## ◆ waypoints

- (NSArray<TNKNavToWayPointInfo *>*) waypoints
| readnonatomicassign

剩余途径点信息

The documentation for this class was generated from the following file:

- TNKDriveNavigationData.h